Loading...
Searching...
No Matches
Logging options
Logger
Collaboration diagram for Logging options:

## Macros

#define | LY_LOLOG 0x01
#define | LY_LOSTORE 0x02
#define | LY_LOSTORE_LAST 0x06

## Detailed Description

Logging option bits of libyang.

Can be set via ly_log_options().

## Macro Definition Documentation

## LY_LOLOG

#define LY_LOLOG 0x01

Log messages normally, using callback if set. If not set, messages will not be printed by libyang.

Definition at line 117 of file log.h.

## LY_LOSTORE

#define LY_LOSTORE 0x02

Store any generated errors or warnings, never verbose or debug messages. Note that if LY_LOLOG is not set then verbose and debug messages are always lost.

Definition at line 119 of file log.h.

## LY_LOSTORE_LAST

#define LY_LOSTORE_LAST 0x06

Store any generated errors or warnings but only the last message, always overwrite the previous one.

Definition at line 121 of file log.h.